Bug 1409000 - Review Request: kwalletcli - CLI for the KDE Wallet
Summary: Review Request: kwalletcli - CLI for the KDE Wallet
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2016-12-28 20:43 UTC by Orion Poplawski
Modified: 2017-01-24 20:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-10 06:48:46 UTC
rdieter: fedora-review+


Attachments (Terms of Use)

Description Orion Poplawski 2016-12-28 20:43:40 UTC
Spec URL: https://www.cora.nwra.com/~orion/fedora/kwalletcli.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/kwalletcli-3.00-1.fc26.src.rpm
Description:
A command-line interface to the KDE Wallet, for KDE 3, 4, and KF5 (so shell
scripts, Python, etc. do not need to use DCOP or D-Bus directly to access it
to store passwords, instead being able to call this convenient wrapper). KF5
does come with a kwallet-query utility, however, it requires the caller to
know the name of the default wallet, which most scripts won’t know, and lacks
kwalletcli’s extra utilities.

Fedora Account System Username: orion

Comment 1 Raphael Groner 2017-01-01 20:31:52 UTC
Thanks for your interesting review request.

> %if 0%{?fedora}
> BuildRequires:  kf5-kcoreaddons-devel
> BuildRequires:  kf5-ki18n-devel
> BuildRequires:  kf5-kwallet-devel
> %else
> BuildRequires:  kdelibs-devel
> %endif

kf5-kwallet is available in EPEL7, why do you link against kdelibs-devel? Maybe it's better to have support for both KDE4 and KF5, as the description says. My doubt that we want support for KDE 3 in any case, please remove that from the description as it's confusing.

Comment 2 Rex Dieter 2017-01-01 20:42:02 UTC
I can review

Comment 3 Rex Dieter 2017-01-01 20:54:48 UTC
naming: ok

licensing: ok

sources: ok
b5649a18a8187b0fabca7073fabe52c3  kwalletcli-3.00.tar.gz

builds/installs: ok

macros: ok

scriplets: ok (n/a)


looks good, APPROVED

Comment 4 Orion Poplawski 2017-01-02 20:45:26 UTC
While kf5-kwallet is available in EPEL7, it's not used by default.  I suppose we could build kf5-kwalletcli as well if there was a great demand, but I don't particularly see the point.  I've dropped KDE 3 from the description.

Thanks for the review, Rex.  Pkgdb request submitted.

Comment 5 Kevin Fenzi 2017-01-02 21:16:10 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/kwalletcli

Comment 6 Fedora Update System 2017-01-02 22:32:04 UTC
kwalletcli-3.00-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7f30ec62aa

Comment 7 Fedora Update System 2017-01-02 22:32:12 UTC
kwalletcli-3.00-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-77c19928f8

Comment 8 Fedora Update System 2017-01-02 22:32:17 UTC
kwalletcli-3.00-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-289f57518f

Comment 9 Fedora Update System 2017-01-03 21:48:24 UTC
kwalletcli-3.00-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-289f57518f

Comment 10 Fedora Update System 2017-01-03 22:20:38 UTC
kwalletcli-3.00-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7f30ec62aa

Comment 11 Fedora Update System 2017-01-03 23:50:17 UTC
kwalletcli-3.00-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-77c19928f8

Comment 12 Raphael Groner 2017-01-07 20:19:12 UTC
kf5-kwallet in el7 is used by lxqt-wallet [BuildRequires:  cmake(KF5Wallet)], then indirectly used in zulucrypt.
Please consider to support that with kwalletcli.

Comment 13 Fedora Update System 2017-01-08 02:46:36 UTC
kwalletcli-3.00-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-278f76346c

Comment 14 Fedora Update System 2017-01-08 02:46:45 UTC
kwalletcli-3.00-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-39c85a080d

Comment 15 Fedora Update System 2017-01-08 02:46:50 UTC
kwalletcli-3.00-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-29ac1fc3d7

Comment 16 Fedora Update System 2017-01-09 01:47:37 UTC
kwalletcli-3.00-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-29ac1fc3d7

Comment 17 Fedora Update System 2017-01-09 02:21:46 UTC
kwalletcli-3.00-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-278f76346c

Comment 18 Fedora Update System 2017-01-09 02:24:35 UTC
kwalletcli-3.00-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-39c85a080d

Comment 19 Fedora Update System 2017-01-10 06:48:46 UTC
kwalletcli-3.00-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-01-10 08:19:21 UTC
kwalletcli-3.00-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-01-24 20:50:34 UTC
kwalletcli-3.00-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.